OpenTTD AI API: AISignList Class Reference

OpenTTD AI API 13.4

AISignList Class Reference

Create a list of signs your company has created. More...

Inheritance diagram for AISignList:

## Additional Inherited Members
Public Types inherited from AIList
enum | SorterType { SORT_BY_VALUE, SORT_BY_ITEM }
| Type of sorter. More...
Public Member Functions inherited from AIList
void | AddItem (int64 item, int64 value)
| Add a single item to the list. More...
void | RemoveItem (int64 item)
| Remove a single item from the list. More...
void | Clear ()
| Clear the list, making Count() returning 0 and IsEmpty() returning true.
bool | HasItem (int64 item)
| Check if an item is in the list. More...
int64 | Begin ()
| Go to the beginning of the list and return the item. More...
int64 | Next ()
| Go to the next item in the list and return the item. More...
bool | IsEmpty ()
| Check if a list is empty. More...
bool | IsEnd ()
| Check if there is a element left. More...
int32 | Count ()
| Returns the amount of items in the list. More...
int64 | GetValue (int64 item)
| Get the value that belongs to this item. More...
bool | SetValue (int64 item, int64 value)
| Set a value of an item directly. More...
void | Sort (SorterType sorter, bool ascending)
| Sort this list by the given sorter and direction. More...
void | AddList (AIList *list)
| Add one list to another one. More...
void | SwapList (AIList *list)
| Swap the contents of two lists. More...
void | RemoveAboveValue (int64 value)
| Removes all items with a higher value than 'value'. More...
void | RemoveBelowValue (int64 value)
| Removes all items with a lower value than 'value'. More...
void | RemoveBetweenValue (int64 start, int64 end)
| Removes all items with a value above start and below end. More...
void | RemoveValue (int64 value)
| Remove all items with this value. More...
void | RemoveTop (int32 count)
| Remove the first count items. More...
void | RemoveBottom (int32 count)
| Remove the last count items. More...
void | RemoveList (AIList *list)
| Remove everything that is in the given list from this list (same item index that is). More...
void | KeepAboveValue (int64 value)
| Keep all items with a higher value than 'value'. More...
void | KeepBelowValue (int64 value)
| Keep all items with a lower value than 'value'. More...
void | KeepBetweenValue (int64 start, int64 end)
| Keep all items with a value above start and below end. More...
void | KeepValue (int64 value)
| Keep all items with this value. More...
void | KeepTop (int32 count)
| Keep the first count items, i.e. More...
void | KeepBottom (int32 count)
| Keep the last count items, i.e. More...
void | KeepList (AIList *list)
| Keeps everything that is in the given list from this list (same item index that is). More...
void | Valuate (void *valuator_function, int params,...)
| Give all items a value defined by the valuator you give. More...
Static Public Attributes inherited from AIList
static const bool | SORT_ASCENDING = true
| Sort ascending.
static const bool | SORT_DESCENDING = false
| Sort descending.

## Detailed Description

Create a list of signs your company has created.